KDE 4.9 PyKDE API Reference

- KDE's Python API

# Camera Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

This device interface is available on digital camera devices.

A digital camera is a device used to transform images into data. Nowaday most digital cameras are multifunctional and able to take photographs, video or sound. On the system side they are a particular type of device holding data, the access method can be different from the typical storage device, hence why it's a separate device interface.

## Methods

| __init__ (self, QObject backendObject)
QVariant | driverHandle (self, QString driver)
QStringList | supportedDrivers (self, QString protocol=QString())
QStringList | supportedProtocols (self)

## Static Methods

Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new Camera object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

QVariant driverHandle | ( | self, |
|  | QString | driver
| ) |  |  |

Retrieves a driver specific string allowing to access the device.

For example for the "gphoto" driver it will return a list of the form '("usb", vendor_id, product_id)'.

Returns:
  the driver specific data

QStringList supportedDrivers | ( | self, |
|  | QString | protocol=QString()
| ) |  |  |

Retrieves known installed device drivers that claim to handle this device using the requested protocol. If protocol is blank, returns a list of all drivers supporting the device.

Parameters:

  | protocol | The protocol to get drivers for.

Returns:
  a list of installed drivers meeting the criteria

QStringList supportedProtocols | ( |  | self ) |

Retrieves known protocols this device can speak. This list may be dependent on installed device driver libraries.

Returns:
  a list of known protocols this device can speak

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the Camera device interface.

Returns:
  the Camera device interface type

See also:
  Solid.DeviceInterface.Type